## libdbusmenu-qt 0.3.2

=== CMakeLists.txt ===
project(dbusmenu-qt)
cmake_minimum_required(VERSION 2.6.0)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

set(dbusmenu_qt_VERSION 0.3.2)

set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    && make check
    )
add_dependencies(distcheck dist)

# Bump this one when a binary-incompatible change is introduced
set(dbusmenu_qt_lib_SOVERSION 2)

# Bump this one when the API is extended in a binary-compatible way
set(dbusmenu_qt_lib_API_VERSION 0)

# Bump this one when changes do not extend the API
set(dbusmenu_qt_lib_PATCH_VERSION 2)
set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})

find_package(Qt4 REQUIRED)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTXML_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    )

configure_file(dbusmenu-qt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-qt.pc @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/dbusmenu-qt.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
    )

add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(tools)

=== src/CMakeLists.txt ===
include (CheckCXXCompilerFlag)
check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)

check_cxx_compiler_flag(-Woverloaded-virtual __DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
if (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
endif (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)

check_cxx_compiler_flag(-Wall __DBUSMENU_HAVE_W_ALL)
if (__DBUSMENU_HAVE_W_ALL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif (__DBUSMENU_HAVE_W_ALL)

set(dbusmenu_qt_SRCS
    dbusmenu_p.cpp
    dbusmenuexporter.cpp
    dbusmenuexporterdbus_p.cpp
    dbusmenuimporter.cpp
    dbusmenuitem_p.cpp
    utils.cpp
    )

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    )

qt4_automoc(${dbusmenu_qt_SRCS})

qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.dbusmenu.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
    )

add_library(dbusmenu-qt SHARED ${dbusmenu_qt_SRCS})
set_target_properties(dbusmenu-qt PROPERTIES
    VERSION ${dbusmenu_qt_lib_VERSION}
    SOVERSION ${dbusmenu_qt_lib_SOVERSION}
    )

target_link_libraries(dbusmenu-qt
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTXML_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    )

install(TARGETS dbusmenu-qt
    LIBRARY DESTINATION lib${LIB_SUFFIX})

install(DIRECTORY .
    DESTINATION include/dbusmenu-qt
    FILES_MATCHING PATTERN "*.h"
    PATTERN "*_p.h" EXCLUDE
    )

=== tests/CMakeLists.txt ===
# Macros to create "check" target
set(_test_executable_list "")

macro(add_test_executable _executable)
    add_test(${_executable} ${_executable})
    set(_test_executable_list "${_test_executable_list};${_executable}")
    add_executable(${_executable} ${ARGN})
endmacro(add_test_executable)

# Call this at the end
macro(create_check_target)
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose
        DEPENDS ${_test_executable_list})
endmacro(create_check_target)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_QTTEST_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    )

set(test_LIBRARIES
    ${QT_QTGUI_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    dbusmenu-qt
    )

enable_testing()

# dbusmenuexportertest
set(dbusmenuexportertest_SRCS
    dbusmenuexportertest.cpp
    )

qt4_automoc(${dbusmenuexportertest_SRCS})

add_test_executable(dbusmenuexportertest ${dbusmenuexportertest_SRCS})

target_link_libraries(dbusmenuexportertest
    ${test_LIBRARIES}
    )

# dbusmenuimportertest
set(dbusmenuimportertest_SRCS
    dbusmenuimportertest.cpp
    )

qt4_automoc(${dbusmenuimportertest_SRCS})

add_test_executable(dbusmenuimportertest ${dbusmenuimportertest_SRCS})

target_link_libraries(dbusmenuimportertest
    ${test_LIBRARIES}
    )

# Keep this at the end
create_check_target()

=== tools/testapp/CMakeLists.txt ===
set(qtapp_SRCS
    main.cpp
    )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../../src
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QJSON_INCLUDE_DIR}
    )

add_executable(dbusmenubench-qtapp ${qtapp_SRCS})

target_link_libraries(dbusmenubench-qtapp
    dbusmenu-qt
    ${QT_QTGUI_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QJSON_LIBRARIES}
    )

=== debian/changelog ===
libdbusmenu-qt (0.3.2-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Apr 2010 14:23:59 +0100

libdbusmenu-qt (0.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 12:41:06 +0000

libdbusmenu-qt (0.2.2-0ubuntu2) lucid; urgency=low

  * Add build dep on qjson and pkg-config

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 17:02:07 +0000

libdbusmenu-qt (0.2.2-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 15:13:29 +0000

libdbusmenu-qt (0.2.1-0ubuntu2) lucid; urgency=low

  * libdbusmenu-qt-dev depends on libdbusmenu-qt1 not 0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 20:21:41 +0000

libdbusmenu-qt (0.2.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * New SO version, switch package name to libdbusmenu-qt1
  * Add kubuntu_01_no_test.diff, tests don't work without X

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 18:13:44 +0000

libdbusmenu-qt (0.1.0-0ubuntu1) lucid; urgency=low

  * Initial Release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 03 Jan 2010 23:21:24 +0100

=== debian/control ===
Source: libdbusmenu-qt
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, quilt, libqjson-dev, pkg-config
Standards-Version: 3.8.4
Section: libs
Homepage: http://people.canonical.com/~agateau/dbusmenu/index.html
Vcs-Bzr: ~kubuntu-members/libdbusmenu-qt/ubuntu/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/libdbusmenu-qt/ubuntu/

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}), ${misc:Depends}
Description: development files for libdbusmenu-qt
 This library provides a Qt implementation of the DBusMenu spec.
 .
 This package contains the development header files. 

Package: libdbusmenu-qt2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Qt library that implements the DBusMenu spec
 This library provides a Qt implementation of the DBusMenu spec.

## libdbusmenu-qt 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,10 @@
 cmake_minimum_required(VERSION 2.6.0)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
 
-set(dbusmenu_qt_VERSION 0.3.2)
+set(dbusmenu_qt_VERSION_MAJOR 0)
+set(dbusmenu_qt_VERSION_MINOR 5)
+set(dbusmenu_qt_VERSION_PATCH 1)
+set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
 add_custom_target(dist
@@ -28,13 +31,13 @@
 set(dbusmenu_qt_lib_SOVERSION 2)
 
 # Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_qt_lib_API_VERSION 0)
+set(dbusmenu_qt_lib_API_VERSION 2)
 
 # Bump this one when changes do not extend the API
-set(dbusmenu_qt_lib_PATCH_VERSION 2)
+set(dbusmenu_qt_lib_PATCH_VERSION 1)
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})
 
-find_package(Qt4 REQUIRED)
+find_package(Qt4 4.6.0 REQUIRED)
 
 include_directories(
     ${QT_INCLUDE_DIR}
@@ -50,6 +53,10 @@
     DESTINATION lib${LIB_SUFFIX}/pkgconfig
     )
 
+option(BUILD_TESTS "Build tests" ON)
+
 add_subdirectory(src)
-add_subdirectory(tests)
+if (BUILD_TESTS)
+    add_subdirectory(tests)
+endif (BUILD_TESTS)
 add_subdirectory(tools)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
+include(CheckCXXSourceCompiles)
 include (CheckCXXCompilerFlag)
+
+# Check some compiler flags
 check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
 if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
@@ -14,12 +17,35 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 endif (__DBUSMENU_HAVE_W_ALL)
 
+if (MSVC)
+	add_definitions(-D__PRETTY_FUNCTION__=__FUNCTION__)
+endif (MSVC)
+
+# Check whether QIcon::name() exists. It was added in late Qt 4.7 cycle, and is
+# not present in betas.
+set(CMAKE_REQUIRED_INCLUDES "${QT_INCLUDE_DIR}")
+set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES}")
+check_cxx_source_compiles("
+#include <QtGui/QIcon>
+int main() {
+    QIcon icon;
+    icon.name();
+    return 0;
+}
+" HAVE_QICON_NAME)
+if (NOT HAVE_QICON_NAME)
+    message(STATUS "QIcon::name() does not exist, DBusMenuExporter will not export icon names by itself")
+endif()
+configure_file(dbusmenu_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_config.h @ONLY)
+
+
 set(dbusmenu_qt_SRCS
     dbusmenu_p.cpp
     dbusmenuexporter.cpp
     dbusmenuexporterdbus_p.cpp
     dbusmenuimporter.cpp
     dbusmenuitem_p.cpp
+    dbusmenushortcut_p.cpp
     utils.cpp
     )
 
@@ -33,6 +59,10 @@
 qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.dbusmenu.xml
     ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
+    )
+
+configure_file(dbusmenu_version.h.in
+    ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
     )
 
 add_library(dbusmenu-qt SHARED ${dbusmenu_qt_SRCS})
@@ -49,10 +79,17 @@
     )
 
 install(TARGETS dbusmenu-qt
-    LIBRARY DESTINATION lib${LIB_SUFFIX})
+    LIBRARY DESTINATION lib${LIB_SUFFIX}
+    ARCHIVE DESTINATION lib
+    RUNTIME DESTINATION bin
+)
 
 install(DIRECTORY .
     DESTINATION include/dbusmenu-qt
     FILES_MATCHING PATTERN "*.h"
     PATTERN "*_p.h" EXCLUDE
     )
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
+    DESTINATION include/dbusmenu-qt/
+    )

=== debian/changelog ===
libdbusmenu-qt (0.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #587546)
  * debian/watch: changed release url to new location.
  * debian/copyright: made it machine readable.
  * debian/copyright: changed debian packaging to LGPL-2+ in sync with
    upstream license (Thanks to Sune Vuorela)
  * debian/control: updated policy to 3.9.0
  * debian/libdbusmenu-qt2.symbols: new symbols added.
  * debian/control: dev & lib package clarification added to descriptions.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Fri, 02 Jul 2010 01:30:47 +0530

libdbusmenu-qt (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * added libdbusmenu-qt2.symbols file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Fri, 11 Jun 2010 17:13:07 +0530

libdbusmenu-qt (0.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #579677)

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Tue, 04 May 2010 13:31:09 +0530

=== debian/control ===
Source: libdbusmenu-qt
Section: libs
Priority: optional
Build-Depends: debhelper (>= 7.4.12), 
	       cmake,
	       libqt4-dev
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Standards-Version: 3.9.0
Homepage: http://people.canonical.com/~agateau/dbusmenu/
Vcs-Svn: svn://svn.debian.org/pkg-kde/krap/libdbusmenu-qt
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/libdbusmenu-qt/#_krap_libdbusmenu-qt_

Package: libdbusmenu-qt2
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Qt implementation of DBusMenu protocol
 This library provides a Qt implementation of the DBusMenu protocol
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides shared libraries.

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}),
	 libqt4-dev,
	 ${misc:Depends}
Description: Qt implementation of DBusMenu protocol (development)
 This library provides a Qt implementation of the DBusMenu protocol
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides header files for development.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_makeshlibs:
	dh_makeshlibs -V 'libdbusmenu-qt2 (>=0.5.1)'

override_dh_auto_test:
	echo "Skipping tests (can't test inside chroot)..."

## libdbusmenu-qt 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,13 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
 
 set(dbusmenu_qt_VERSION_MAJOR 0)
-set(dbusmenu_qt_VERSION_MINOR 5)
-set(dbusmenu_qt_VERSION_PATCH 1)
+set(dbusmenu_qt_VERSION_MINOR 6)
+set(dbusmenu_qt_VERSION_PATCH 4)
 set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
 add_custom_target(dist
-    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
-        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
+    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     )
 
@@ -31,13 +30,13 @@
 set(dbusmenu_qt_lib_SOVERSION 2)
 
 # Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_qt_lib_API_VERSION 2)
+set(dbusmenu_qt_lib_API_VERSION 3)
 
 # Bump this one when changes do not extend the API
-set(dbusmenu_qt_lib_PATCH_VERSION 1)
+set(dbusmenu_qt_lib_PATCH_VERSION 4)
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})
 
-find_package(Qt4 4.6.0 REQUIRED)
+find_package(Qt4 REQUIRED)
 
 include_directories(
     ${QT_INCLUDE_DIR}
@@ -53,10 +52,6 @@
     DESTINATION lib${LIB_SUFFIX}/pkgconfig
     )
 
-option(BUILD_TESTS "Build tests" ON)
-
 add_subdirectory(src)
-if (BUILD_TESTS)
-    add_subdirectory(tests)
-endif (BUILD_TESTS)
+add_subdirectory(tests)
 add_subdirectory(tools)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,10 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 endif (__DBUSMENU_HAVE_W_ALL)
 
-if (MSVC)
-	add_definitions(-D__PRETTY_FUNCTION__=__FUNCTION__)
-endif (MSVC)
-
 # Check whether QIcon::name() exists. It was added in late Qt 4.7 cycle, and is
 # not present in betas.
 set(CMAKE_REQUIRED_INCLUDES "${QT_INCLUDE_DIR}")
-set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES}")
+set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES};${QT_QTCORE_LIBRARIES}")
 check_cxx_source_compiles("
 #include <QtGui/QIcon>
 int main() {
@@ -37,7 +33,6 @@
     message(STATUS "QIcon::name() does not exist, DBusMenuExporter will not export icon names by itself")
 endif()
 configure_file(dbusmenu_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_config.h @ONLY)
-
 
 set(dbusmenu_qt_SRCS
     dbusmenu_p.cpp
@@ -79,10 +74,7 @@
     )
 
 install(TARGETS dbusmenu-qt
-    LIBRARY DESTINATION lib${LIB_SUFFIX}
-    ARCHIVE DESTINATION lib
-    RUNTIME DESTINATION bin
-)
+    LIBRARY DESTINATION lib${LIB_SUFFIX})
 
 install(DIRECTORY .
     DESTINATION include/dbusmenu-qt

=== debian/changelog ===
libdbusmenu-qt (0.6.4-0ubuntu1~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Thu, 10 Feb 2011 09:27:04 -0700

libdbusmenu-qt (0.6.4-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Refresh kubuntu_00_external_contributions.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Sep 2010 13:45:17 +0100

libdbusmenu-qt (0.6.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add kubuntu_00_external_contributions.diff
  * Remove kubuntu_02_unbreak_kde_titles.diff

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Thu, 16 Sep 2010 17:01:41 +0200

libdbusmenu-qt (0.6.2-0ubuntu1) maverick; urgency=low

  * New upstream release, memory leak and crash fixes
  * Add kubuntu_02_unbreak_kde_titles.diff from
    http://gitorious.org/dbusmenu/dbusmenu-
    qt/commit/71851809ef7e109f02635877ead1dbac48a2e64e

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 16:42:01 +0100

libdbusmenu-qt (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release, fixes memory leaks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Sep 2010 17:14:45 +0100

libdbusmenu-qt (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Aug 2010 14:58:03 +0100

libdbusmenu-qt (0.5.2-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Aug 2010 16:08:10 +0100

libdbusmenu-qt (0.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Jul 2010 21:07:52 +0100

libdbusmenu-qt (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 16:54:14 +0100

libdbusmenu-qt (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Jun 2010 14:20:55 +0100

libdbusmenu-qt (0.3.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jun 2010 14:30:00 +0100

libdbusmenu-qt (0.3.4-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jun 2010 23:45:12 +0100

libdbusmenu-qt (0.3.3-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Update kubuntu_01_no_test.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Jun 2010 22:36:42 -0400

=== debian/control ===
Source: libdbusmenu-qt
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, quilt, libqjson-dev, pkg-config
Standards-Version: 3.8.4
Section: libs
Homepage: http://people.canonical.com/~agateau/dbusmenu/index.html
Vcs-Bzr: lp:~kubuntu-members/libdbusmenu-qt/ubuntu/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/libdbusmenu-qt/ubuntu/

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}), ${misc:Depends}
Description: development files for libdbusmenu-qt
 This library provides a Qt implementation of the DBusMenu spec.
 .
 This package contains the development header files. 

Package: libdbusmenu-qt2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Qt library that implements the DBusMenu spec
 This library provides a Qt implementation of the DBusMenu spec.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --with quilt $@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncommment to examine a FTP server
http://people.canonical.com/~agateau/dbusmenu/libdbusmenu-qt-(.*)\.tar\.bz2

## libdbusmenu-qt 0.8.2

=== CMakeLists.txt ===
project(dbusmenu-qt)
cmake_minimum_required(VERSION 2.6.0)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# Build options
option(WITH_DOC "Build documentation (requires Doxygen)" ON)

# Versions
## Package version
set(dbusmenu_qt_VERSION_MAJOR 0)
set(dbusmenu_qt_VERSION_MINOR 8)
set(dbusmenu_qt_VERSION_PATCH 2)
set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})

## Lib version
### Bump this one when a binary-incompatible change is introduced
set(dbusmenu_qt_lib_SOVERSION 2)

### Bump this one when the API is extended in a binary-compatible way
set(dbusmenu_qt_lib_API_VERSION 5)

### Bump this one when changes do not extend the API
set(dbusmenu_qt_lib_PATCH_VERSION 1)

set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})

# dist targets
set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    && make check
    )
add_dependencies(distcheck dist)

find_package(Qt4 REQUIRED)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    )

configure_file(dbusmenu-qt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-qt.pc @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/dbusmenu-qt.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
    )

add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(tools)

if(WITH_DOC)
    configure_file(Doxyfile.in ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)

    add_custom_target(doc ALL doxygen
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )

    install(DIRECTORY ${CMAKE_BINARY_DIR}/html/
        DESTINATION share/doc/dbusmenu-qt
        )
endif(WITH_DOC)

=== debian/changelog ===
libdbusmenu-qt (0.8.2-0ubuntu2) natty; urgency=low

  * Add kubuntu_03_dont-show-more-icons-than-desired.diff by Michael Terry
    https://code.launchpad.net/~mterry/libdbusmenu-qt/dont-show-more-
    icons-than-desired/+merge/58387 'Respect QAction's setting for
    whether an icon should be shown in the menu or not.'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Apr 2011 13:47:45 +0100

libdbusmenu-qt (0.8.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Apr 2011 12:07:57 +0100

libdbusmenu-qt (0.8.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Mar 2011 16:40:25 +0000

libdbusmenu-qt (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Remove kubuntu_00_external_contributions.diff no longer required
  * Update kubuntu_01_no_test.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Feb 2011 10:39:05 +0000

libdbusmenu-qt (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jan 2011 15:56:38 +0000

libdbusmenu-qt (0.6.6-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 11:59:53 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, quilt, libqjson-dev, pkg-config
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, libqjson-dev, pkg-config, doxygen
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://people.canonical.com/~agateau/dbusmenu/index.html
 Vcs-Bzr: lp:~kubuntu-members/libdbusmenu-qt/ubuntu/
@@ -24,3 +24,12 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a Qt library that implements the DBusMenu spec
  This library provides a Qt implementation of the DBusMenu spec.
+
+Package: libdbusmenu-qt-doc
+Section: doc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: a Qt library that implements the DBusMenu spec
+ This library provides a Qt implementation of the DBusMenu spec.
+ .
+ This package provides the API documentation in HTML form.

## libdbusmenu-qt 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 # Versions
 ## Package version
 set(dbusmenu_qt_VERSION_MAJOR 0)
-set(dbusmenu_qt_VERSION_MINOR 8)
-set(dbusmenu_qt_VERSION_PATCH 2)
+set(dbusmenu_qt_VERSION_MINOR 9)
+set(dbusmenu_qt_VERSION_PATCH 0)
 set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 ## Lib version
@@ -17,10 +17,10 @@
 set(dbusmenu_qt_lib_SOVERSION 2)
 
 ### Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_qt_lib_API_VERSION 5)
+set(dbusmenu_qt_lib_API_VERSION 6)
 
 ### Bump this one when changes do not extend the API
-set(dbusmenu_qt_lib_PATCH_VERSION 1)
+set(dbusmenu_qt_lib_PATCH_VERSION 0)
 
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})

=== debian/changelog ===
libdbusmenu-qt (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Add doxygen as build dependency.
  * Minor fixes to description, thanks to Filipus Klutiero. (Closes: #630193)
  * Update symbols file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Thu, 01 Sep 2011 12:57:01 +0530

libdbusmenu-qt (0.8.0-3) unstable; urgency=low

  * gcc seems to still emit some random symbols on some arches. Mark them as
    optional and arch specific. (Closes: #628745)

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 13:24:35 +0300

libdbusmenu-qt (0.8.0-2) unstable; urgency=low

  * Fix symbol files to build against gcc 4.6. (Closes: #628745)
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Add myself to Uploaders.

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 11:23:55 +0300

libdbusmenu-qt (0.8.0-1) unstable; urgency=low

  * New upstream release (3 private symbols dropped).
  * Symbols file updated, missing symbols removed.
  * Thanks to Shravan Aras for helping me with cscope.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Sat, 02 Apr 2011 23:22:22 +0530

libdbusmenu-qt (0.7.0-1) unstable; urgency=low

  * New upstream release. 
  * DM upload is allowed.
  * adding libqjson-dev to build dependencies (for testapp). 

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Sat, 19 Mar 2011 11:03:22 +0530

libdbusmenu-qt (0.6.6-1) unstable; urgency=low

  * New upstream release. (Closes: #606199)

  [ Praveen Arimbrathodiyil ]
  * debian/rules: added support for parallel building.
  * debian/copyright: cleared copyright info of removed patch.
  * debian/control: changed homepage to page on launchpad.net.
  * debian/control: updated vcs from svn to git.
  * debian/control: updated policy to 3.9.1

  [ José Manuel Santamaría Lema ]
  * Update symbols file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Sun, 27 Feb 2011 07:05:33 +0530

=== debian/control ===
Source: libdbusmenu-qt
Section: libs
Priority: optional
Build-Depends: debhelper (>= 7.4.12), 
		cmake,
	  libqt4-dev,
		libqjson-dev,
		doxygen
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Praveen Arimbrathodiyil <pravi.a@gmail.com>, Modestas Vainius <modax@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: https://launchpad.net/libdbusmenu-qt
Vcs-Git: git://git.debian.org/pkg-kde/krap/libdbusmenu-qt.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/libdbusmenu-qt.git;a=summary

Package: libdbusmenu-qt2
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Qt implementation of the DBusMenu protocol
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides shared libraries.

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}),
	 libqt4-dev,
	 ${misc:Depends}
Description: Qt implementation of DBusMenu protocol (development)
 This library provides a Qt implementation of the DBusMenu protocol
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides header files for development.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel $@

override_dh_makeshlibs:
	dh_makeshlibs -V 'libdbusmenu-qt2 (>=0.9.0)'

override_dh_auto_test:
	echo "Skipping tests (can't test inside chroot)..."

## libdbusmenu-qt 0.9.2

=== debian/changelog ===
libdbusmenu-qt (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Do not manually impose a shlibs version anymore, but rely solely on
    symbols file.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Mon, 27 May 2013 09:25:07 +0200

libdbusmenu-qt (0.9.0-3) unstable; urgency=low

  * Update symbol file.
  * Small touches to the descriptions.
  * libdbusmenu-qt-doc: suggest w3m | www-browser, since it contains HTML
    documentation.
  * Pass --fail-missing to dh_install.

 -- Pino Toscano <pino@debian.org>  Thu, 16 May 2013 11:03:39 +0200

libdbusmenu-qt (0.9.0-2) unstable; urgency=low

  [ Praveen Arimbrathodiyil ]
  * update description for -dev package too. (Closes: #640251)
  * make all DBus occurance in descriptions to D-Bus.
  * add all html files to doc-base.
  * Implement multiarch.
    - bump cmake build dependency to 2.8.5.
    - bump debhelper build dependency to 8.1.3.
  * debian/rules: move --parallel after $@.
  * New binary package libdbusmenu-qt-doc.
  * Remove embedded jquery and depend on libjs-jquery.
  * fix watch file with new url scheme.
  * Thanks to Pino Toscano for many improvements.

  [ Pino Toscano ]
  * Add myself to uploaders.
  * Bump debhelper build dependency to 9, matching its used compatibility;
    remove the related source lintian override.
  * rules: remove dh overrides from .PHONY.
  * Rename docs to libdbusmenu-qt2.docs, so it is explicitly used for the
    shared library package.
  * Remove DM-Upload-Allowed control field, no more used now.
  * Update Vcs-* headers.
  * Update symbols file, still not used yet.
  * rules: turn echo into comments.
  * Slightly improve libdbusmenu-qt-dev.install.
  * Convert copyright to copyright-format v1.0, and update it.
  * 002-use-multiarch-lib-paths.diff: update author.
  * With the two changes above, this upload closes: #649899.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 13 May 2013 18:41:49 +0200

=== debian/control ===
Source: libdbusmenu-qt
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8.5),
 libqt4-dev (>= 4:4.6.2),
 libqjson-dev,
 pkg-config,
 doxygen
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Praveen Arimbrathodiyil <pravi.a@gmail.com>,
 Modestas Vainius <modax@debian.org>,
 Pino Toscano <pino@debian.org>
Standards-Version: 3.9.4
Homepage: https://launchpad.net/libdbusmenu-qt
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libdbusmenu-qt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libdbusmenu-qt.git;a=summary

Package: libdbusmenu-qt2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: Qt implementation of the DBusMenu protocol
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over D-Bus.
 .
 This package provides the libdbusmenu-qt2 shared library.

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}),
 libqt4-dev,
 ${misc:Depends}
Description: Qt implementation of the DBusMenu protocol (development)
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over D-Bus.
 .
 This package provides header files and CMake configuration files for
 development.

Package: libdbusmenu-qt-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
 ${misc:Depends}
Suggests: w3m | www-browser
Description: Qt implementation of the DBusMenu protocol (documentation)
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over D-Bus.
 .
 This package provides API documentation in HTML format.

Package: libdbusmenu-qt-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdbusmenu-qt2 (= ${binary:Version}),
 ${misc:Depends}
Description: Qt implementation of the DBusMenu protocol (debug)
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over D-Bus.
 .
 This package contains the debugging symbols for libdbusmenu-qt2.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	# Removing embedded jquery javascript library
	rm debian/tmp/usr/share/doc/dbusmenu-qt/jquery.js

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libdbusmenu-qt-dbg

override_dh_auto_test:
	# Skipping tests (can't test inside chroot)...
	:

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
https://launchpad.net/libdbusmenu-qt/+download .*/libdbusmenu-qt-([0-9.]+)\.tar\.bz2

## libdbusmenu-qt 0.9.2+13.10.20130826

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## Package version
 set(dbusmenu_qt_VERSION_MAJOR 0)
 set(dbusmenu_qt_VERSION_MINOR 9)
-set(dbusmenu_qt_VERSION_PATCH 0)
+set(dbusmenu_qt_VERSION_PATCH 2)
 set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 ## Lib version
@@ -24,8 +24,44 @@
 
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})
 
+# Check if we want to explicitly select the Qt version to be used or autodetect
+if (NOT USE_QT4 AND NOT USE_QT5)
+    # Autodetect, prefering Qt5
+    message(STATUS "Autodetecting Qt version to use")
+    find_package(Qt5Widgets QUIET)
+    if (Qt5Widgets_FOUND)
+        set(USE_QT5 TRUE)
+    endif()
+endif()
+
+# Detect for which Qt version we're building
+if (USE_QT5)
+    find_package(Qt5Widgets REQUIRED)
+    find_package(Qt5DBus REQUIRED)
+    include_directories(${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
+    find_package(Qt5Core REQUIRED)
+    set(CMAKE_AUTOMOC ON)
+    set(CMAKE_AUTOMOC_RELAXED_MODE ON)
+    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+
+    set(QT_SUFFIX "qt5")
+else()
+    find_package(Qt4 REQUIRED)
+    include_directories(
+      ${QT_INCLUDE_DIR}
+      ${QT_QTCORE_INCLUDE_DIR}
+      ${QT_QTDBUS_INCLUDE_DIR}
+      ${QT_QTGUI_INCLUDE_DIR}
+      )
+
+    set(QT_SUFFIX "qt")
+endif()
+
+include(GNUInstallDirs)
+set(LIB_DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+
 # dist targets
-set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
+set(ARCHIVE_NAME libdbusmenu-${QT_SUFFIX}-${dbusmenu_qt_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
@@ -44,23 +80,16 @@
     )
 add_dependencies(distcheck dist)
 
-find_package(Qt4 REQUIRED)
+configure_file(dbusmenu-qt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}.pc @ONLY)
 
-include_directories(
-    ${QT_INCLUDE_DIR}
-    ${QT_QTCORE_INCLUDE_DIR}
-    ${QT_QTDBUS_INCLUDE_DIR}
-    ${QT_QTGUI_INCLUDE_DIR}
-    )
-
-configure_file(dbusmenu-qt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-qt.pc @ONLY)
-
-install(FILES ${CMAKE_BINARY_DIR}/dbusmenu-qt.pc
-    DESTINATION lib${LIB_SUFFIX}/pkgconfig
+install(FILES ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}.pc
+        DESTINATION ${LIB_DESTINATION}/pkgconfig
     )
 
 add_subdirectory(src)
+if (NOT USE_QT5) # TODO port tests to Qt5
 add_subdirectory(tests)
+endif()
 add_subdirectory(tools)
 
 if(WITH_DOC)
@@ -71,6 +100,6 @@
         )
 
     install(DIRECTORY ${CMAKE_BINARY_DIR}/html/
-        DESTINATION share/doc/dbusmenu-qt
+        DESTINATION share/doc/libdbusmenu-${QT_SUFFIX}-doc
         )
 endif(WITH_DOC)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
     dbusmenuexporter.cpp
     dbusmenuexporterdbus_p.cpp
     dbusmenuimporter.cpp
-    dbusmenuitem_p.cpp
+    dbusmenutypes_p.cpp
     dbusmenushortcut_p.cpp
     utils.cpp
     )
@@ -49,39 +49,55 @@
     ${CMAKE_BINARY_DIR}/src
     )
 
-qt4_automoc(${dbusmenu_qt_SRCS})
-
-qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
-    ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.dbusmenu.xml
-    ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
-    )
+if (NOT USE_QT5)
+    qt4_automoc(${dbusmenu_qt_SRCS})
+    qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
+        ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
+        ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
+        )
+else()
+    qt5_add_dbus_adaptor(dbusmenu_qt_SRCS
+        ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
+        ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
+        )
+endif()
 
 configure_file(dbusmenu_version.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
     )
 
-add_library(dbusmenu-qt SHARED ${dbusmenu_qt_SRCS})
-set_target_properties(dbusmenu-qt PROPERTIES
+add_library(dbusmenu-${QT_SUFFIX} SHARED ${dbusmenu_qt_SRCS})
+set_target_properties(dbusmenu-${QT_SUFFIX} PROPERTIES
     VERSION ${dbusmenu_qt_lib_VERSION}
     SOVERSION ${dbusmenu_qt_lib_SOVERSION}
     )
 
-target_link_libraries(dbusmenu-qt
-    ${QT_QTGUI_LIBRARIES}
-    ${QT_QTDBUS_LIBRARIES}
-    ${QT_QTXML_LIBRARIES}
-    ${QT_QTCORE_LIBRARIES}
-    )
 
-install(TARGETS dbusmenu-qt
-    LIBRARY DESTINATION lib${LIB_SUFFIX})
+if (NOT USE_QT5)
+    target_link_libraries(dbusmenu-${QT_SUFFIX}
+        ${QT_QTGUI_LIBRARIES}
+        ${QT_QTDBUS_LIBRARIES}
+        ${QT_QTCORE_LIBRARIES}
+        )
+else()
+    target_link_libraries(dbusmenu-${QT_SUFFIX}
+        ${Qt5Gui_LIBRARIES}
+        ${Qt5Core_LIBRARIES}
+        ${Qt5DBus_LIBRARIES}
+        ${Qt5Widgets_LIBRARIES}
+        )
+endif()
+
+install(TARGETS dbusmenu-${QT_SUFFIX}
+    LIBRARY DESTINATION ${LIB_DESTINATION}
+    RUNTIME DESTINATION bin)
 
 install(DIRECTORY .
-    DESTINATION include/dbusmenu-qt
+    DESTINATION include/dbusmenu-${QT_SUFFIX}
     FILES_MATCHING PATTERN "*.h"
     PATTERN "*_p.h" EXCLUDE
     )
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
-    DESTINATION include/dbusmenu-qt/
+    DESTINATION include/dbusmenu-${QT_SUFFIX}
     )

## libdbusmenu-qt 0.9.3%2B16.04.20160218

=== tools/testapp/CMakeLists.txt ===
set(qtapp_SRCS
    main.cpp
    )

add_executable(dbusmenubench-qtapp ${qtapp_SRCS})

if (NOT USE_QT5)
    # Qt4
    include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}/../../src
        ${CMAKE_CURRENT_BINARY_DIR}/../../src
        ${QT_INCLUDE_DIR}
        ${QT_QTCORE_INCLUDE_DIR}
        ${QT_QTGUI_INCLUDE_DIR}
        ${QT_QTDBUS_INCLUDE_DIR}
        ${QJSON_INCLUDE_DIR}
        )

    target_link_libraries(dbusmenubench-qtapp
        dbusmenu-qt
        ${QT_QTGUI_LIBRARY}
        ${QT_QTCORE_LIBRARY}
        ${QT_QTDBUS_LIBRARY}
        ${QJSON_LIBRARIES}
        )
else()
   # Qt5
    include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}/../../src
        ${CMAKE_CURRENT_BINARY_DIR}/../../src
        ${Qt5Widgets_INCLUDE_DIRS}
        ${Qt5Core_INCLUDE_DIRS}
        ${Qt5Gui_INCLUDE_DIRS}
        ${Qt5DBus_INCLUDE_DIRS}
        ${QJSON_INCLUDE_DIR}
        )
   
    target_link_libraries(dbusmenubench-qtapp
        dbusmenu-qt5
        ${Qt5Gui_LIBRARIES}
        ${Qt5Core_LIBRARIES}
        ${Qt5DBus_LIBRARIES}
        ${Qt5Widgets_LIBRARIES}
        ${QJSON_LIBRARIES}
        )
endif()

=== debian/changelog ===
libdbusmenu-qt (0.9.3+16.04.20160218-2) unstable; urgency=medium

  * Team upload.
  * Drop Qt4 support (Closes: #875021)
  * Update Vcs-* to point to salsa
  * Update symbols files

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Aug 2019 12:07:44 -0400

libdbusmenu-qt (0.9.3+16.04.20160218-1) unstable; urgency=medium

  * Team upload.

  [ Felix Geyer ]
  * New upstream release.
  * Migrate to dbgsym packages.

  [ Maximiliano Curia ]
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 26 Apr 2016 19:46:59 +0200

libdbusmenu-qt (0.9.3+15.10.20150604-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream release.
  * Update symbols files.
  * Point watch file to archive.ubuntu.com since there are no proper
    upstream releases anymore.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 08 Jun 2015 20:47:21 +0200

libdbusmenu-qt (0.9.3+14.10.20140619-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (0.9.3+14.10.20140619).
  * Add qt5 packages.
  * Remove patch: 002-use-multiarch-lib-paths.diff, no longer needed.
  * Bump cmake buid dep to 2.8.11.
  * Change doc install path.
  * Update symbols files.
  * Set Multi-Arch fields for -dbg packages.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 19:39:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	QT_SELECT=qt5 dh_auto_configure -- -DUSE_QT5=True

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# Removing embedded jquery javascript library
	rm debian/tmp/usr/share/doc/libdbusmenu-qt5-doc/jquery.js

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip -plibdbusmenu-qt5-2 --dbgsym-migration='libdbusmenu-qt5-dbg (<< 0.9.3+16.04.20160218)'
	dh_strip --remaining-packages --dbgsym-migration='libdbusmenu-qt-dbg (<< 0.9.3+16.04.20160218)'

override_dh_auto_test:
	# Skipping tests (can't test inside chroot)...
	:
